Subject: Second Stone Resource Guide
From: [email-masked]
Date: July 8, 1996

ALABAMA
BIRMINGHAM (205)
Alabama Forum, PO Box 55894, 35255-5894. 328-9228
Birmingham Community Church, PO Box 130221, 35213.  849-8505.
Covenant MCC, PO Box 101473, 35210.  599-3363. Sun., 11a.m., 7p.m. 5117 1st 
Ave., N.
Friends Meeting (Quakers), 592-0570.
Integrity, 871-1815.
Pilgrim Congregational Church, 879-1624.
St. Andrew's Episcopal Church, 251-7898.
Unitarian Universalist Congregation, 879-5150.
Unity Church, 251-3713
HUNTSVILLE (205)
MCC of Huntsville, PO Box 10021, 35801. 851-6914.
MOBILE (205)
MCC of Mobile, PO Box 6311, 36660-6311. 476-4621. Sunday, 7p.m.
MONTGOMERY (205)
MCC, PO Box 603, 36101-0603. 264-7887. Sunday, 5:30p.m. at 5280 Vaughn Rd.

ALASKA
PALMER (907)
Church of the Covenant, P.O. Box 2888, 99645. 746-1089. Howard H. Bess,
pastor. A Welcoming and Affirming American Baptist Congregation.

ARIZONA
MESA
Boundless Love Community Church, 2128 N 64th St., 85215-2811.
PHOENIX (602)
Affirmation (Mormons), PO Box 26601, Tempe, 85285-6601. 433-1321.
Casa De Cristo Evangelical Church, 1029 E. Turney, 85014. 265-2831.
Dignity/Integrity, PO Box 60953, 85082-0953. 258-2556.
Gentle Shepherd MCC, 3425 E. Mountain View, 85028. 996-7644.
Healing Waters Ministries, 225 W. University Dr., #105, Tempe, 85281. 894-8681.
Lutherans Concerned, PO Box 7519, 85011. 870-3611.
Oasis MCC, 2405 E. Coronado, 85008. 275-3534.
Presbyterians for Lesbian & Gay Concerns, PO Box 61162, 85082.
TUCSON (520)
Cornerstone Fellowship, 2902 N. Geronimo, 85705. 622-4626. Sunday, 9a.m., 
10:30a.m., Wednesday, 6p.m. Rada Schaff, pastor.
Integrity, c/o Grace St. Paul's Episcopal Church, 2331 E. Adams St., 85719. 
791-7430.
MCC, 3269 N. Mountain Ave., 85719. 292-9151.
Men's Social Network, 4207 N. Limberlost Cir., 85705. 690-9565. Social 
activities for gay men of all ages.

ARKANSAS
EUREKA SPRINGS (501)
MCC of the Living Springs, PO Box 365, 72632. 253-9337. 17 Elk 
FAYETTEVILLE (501)
Ecumenical Catholic Church, 444-9692. Paul Smith, contact person.
MCC of the Ozarks, PO Box 92, 72702-0092. 443-4278.
Restoration Fellowship in Jesus Christ, P.O. Box 3820, 72702. 444-9692. 
Rev. Elder Joseph Paul Smith. [email-masked].
LITTLE ROCK (501)
Body of Christ, PO Box 1364, 72203. 374-1693.
Holy Cross Ecumenical Catholic Church, 663-6859. Fr. Christopher Ehemann
Hope Apostolic Church, P.O. Box 4563, 72214. 663-3711. TDD 663-3987. 
[email-masked].  Bro. J. Virgilio, pastor.
MCC of the Rock, PO Box 1964, 72203-1964. 753-7075. 2017 Chandler, NO. 
Little Rock.
Spirit Song MCC, PO Box 586, 72203. 223-2828. Sunday, 2p.m. at 1818 
Reservoir Rd.
Unitarian Universalist Church, 1818 Reservoir Rock Rd, 72207. 225-1503.

CALIFORNIA
APPLE VALLEY (619)
Light of the Desert Church, PO Box 247, 92307. 247-2572. Sunday, 6:30p.m.
ARROYO GRANDE (805)
St. Brendan Free Catholic Church Apostolate, 258 Aspen St., #11, 93420. 
473-2510.
BLYTHE (619)
God's Garden Growth Center, 283 N. Solano. 922-0947. Bro. Michael W. 
Tucker, pastor.
CONCORD (510)
Free Catholic Apostolate of the Redeemer, 1440 Detroit Ave., #3, 94520. 
798-5281.
EAST BAY AREA (510)
Diablo Valley MCC, 2253 Concord Blvd., Concord, 94520. 827-2960. Sunday,
10a.m., 7p.m.
First Baptist Church, 2345 Channing Way, Berkeley, 94704. 848-5838. Esther 
Hargis, pastor. Meets in small chapel of First Congregational Church. A 
Welcoming and Affirming American Baptist Congregation.
Free Catholic Apostolate of the Redeemer, 3849 Maybelle Ave., #B, 94619.
530-7055.
Gay, Lesbian, and Affirming Disciples, Univ. Christian Church, Berkeley. 
Third Sun., 4p.m.
Lakeshore Avenue Baptist Church, 3534 Lakeshore Ave., Oakland, 94610. 
893-2484. James H. Hopkins, pastor. A Welcoming and Affirming American 
Baptist congregation.
New Life MCC, 1823 9th St., Berkeley, 94710. 843-9355. Sunday, 12:30p.m.
Presbyterians for Lesbian & Gay Concerns, 3900 Harrison St., Oakland, 
94611. 653-2134.
IRVINE (714)
Irvine United Church of Christ, 4915 Alton Pkwy., 92714. 733-0220. An 
Open & Affirming Congregation, proudly progressive, intentionally inclusive.
LANCASTER (805)
Sunrise MCC of the Hi Desert, PO Box 886, 93584-0886. 942-7076.
LONG BEACH (310)
Dignity, PO Box 92375, 90809-2375. 984-8400.
First Congregational Church, 241 Cedar Ave., 90802. 436-2256. An Open and 
Affirming Congregation of the United Church of Christ.
MCC, 1231 Locust Ave., 90813-3114. 432-3641.
LOS ANGELES AREA (213)
Affirmation/Los Angeles: United Methodists for Gay, Lesbian and Bi Concerns, 
PO Box 691283, West Hollywood, CA 90069. 969-4664.
Christ the Shepherd Lutheran Church, 185 W. Altadena Dr., Altadena, 91001. 
(818)794-7011.
Crescent Heights UMC, 1296 No. Fairfax Ave., West Hollywood, 90046. 656-5336.
Dignity, PO Box 42040, 90042-0040. 344-8064.
Dignity/San Gabriel Valley, 502 Mesa Cir., Monrovia, 91016-1638. (818)620-5167.
Divine Redeemer MCC, 346 Riverdale Dr., Glendale, 91204. (818)500-7124. 
Sunday, 10:45a.m., Wed., Fri., 7:30p.m. Rev. Stan Harris
Ecumenical Catholic Church in Huntington Park, 589-6903. Fr. Otilio Gallo. 
Spanish-speaking congregation.
Evangelicals Together, 7985 Santa Monica Blvd., #109, Box 16, 90046. 
656-8570. ET News
Free Spirit MCC, PO Box 46609, 90046. 460-2911.
Holy Trinity Community Church, PO Box 42964, 90042. 384-5422. 3323 W. 
Beverly Blvd.
Integrity, 7985 Santa Monica Blvd., #109-113, West Hollywood, 90046. 
662-6301.
Lambda Christian Fellowship, PO Box 1967, Hawthorne, 90251.
Latin Church of Christian Fellowship, 3323 W. Beverly Blvd., 90004. 433-2047.
Los Angeles Gay & Lesbian Religious Coalition, 7985 Santa Monica Blvd., 
#109, Box 104, 90046.
Lutherans Concerned, 11225 Magnolia Blvd., Box 290, No. Hollywood, 91601. 
665-LCNA.
MCC in the Valley, 5730 Cahuenga Blvd., No. Hollywood, 91601. (818)762-1133.
MCC of the Vineyards, 11012 Ventura Blvd., #1254, Studio City, CA 91604-3546.
MCC of Silverlake, 3621 Brunswick Ave., 90039-1727. 665-8818.
New Hope Christian Church, PO Box 316, Van Nuys, 91408. (818)765-1590. 
Sunday, 5p.m. at 9550 Haskell Ave.
Presbyterians for Lesbian & Gay Concerns, 3373 Descanso Dr., #1, 90026. 
262-8019.
St. John's Episcopal Church, 514 W. Adams Blvd, 90007. 747-6285.
St. Matthew's Lutheran Church, 11031 Camarillo St., No. Hollywood, 91602. 
(818)762-2909. ASL interpretation first and last Sun.
United Lesbian/Gay Christian Scientists, PO Box 2171, Beverly Hills, 
90212-2171. (310)850-8258.
Unity Fellowship Church, 5149 W. Jefferson Blvd., 90016. 936-4948.
MODESTO (209)
MCC, PO Box 3092, 95353-3092. 578-3694.
NAPA (707)
MCC in the Vineyards, 31 Village Pkwy., 94558. 255-6917.
ORANGE COUNTY (714)
Christ Chapel MCC, 720 N. Spurgeon St., Santa Ana, 92701-3722. 835-0722.
Ecumenical Catholic Church, 979-1840. Yadira Taylor, contact person.
Evangelicals Concerned South Coast, PO Box 4308, Costa Mesa, 92628-4308. 
222-4933. Bible study, fellowship meetings, prayer groups, social activities.
PALM SPRINGS (619)
Christ Chapel of the Desert, 938 Vella Rd., 92264. 327-2795.
Integrity, 4741-C E. Palm Canyon Dr., Box 149, 92264. 341-0555.
MCC of the Desert, PO Box 920, Cathedral City, 92235-0901. 322-9696.
REDONDO BEACH (310)
Center for Passionate Spirituality, 2607 Harriman Ln., #1, 90278-4547. 
374-7718. Rich Rossiter, director. Spiritual direction, retreats and 
formation events for g/l/b/t persons.
REDWOOD CITY (415)
Calvary MCC, PO Box 70, 94064-0007. 368-0188. 2124 Brewster St.
RIVERSIDE (909)
Community of Christ the Life Giver, PO Box 51158, 92517. 781-7391.
RUSSIAN RIVER (707)
MCC, Box 1055, Guerneville, 95446. 887-7622. 869-0552. 14520 Armstrong Woods Rd.
SACRAMENTO (916)
Dignity, PO Box 161765, 95816.
Koinoia Christian Fellowship, PO Box 189444, 95818. 452-5736. Tom Rossi, pastor.
The Latest Issue, PO Box 160584, 95816. 737-1088.
River City MCC, PO Box 245125, 95824. 454-4762. 2741 34th St.
SALINAS (408)
Integrity, c/o Church of the Good Shepherd, 301 Corral de Tierra, 93908. 
294-2026.
SAN ANDREAS (209)
Integrity, 877 Pioneer Ave Apt 4, Turlock, 95380-2626. 478-3515.
SAN ANSELMO (415)
Spectrum, 1000 Sir Francis Drake Blvd., #12, 94960. 457-1115.
SAN BERNARDINO/RIVERSIDE/POMONA (909)
Affirmation (Methodists), 1325 N. Claremont, Box 302, Claremont, 91711. 
624-2159.
Claremont United Methodist Church, 211 W. Football Blvd., Claremont, 91711. 
624-9021. A Reconciling Congregation, open to all.
Green Carnation Coffeehouse, 1580 No. D St., Ste. 7, 92405. 381-5025. 
Mon.-Sat., 7p.m.-12a.m.
St. Aelred's Parish, Sarum Episcopal Church (Old Catholic), 1580 No. D St., 
Ste. 5, San Bernardino, 92405. 384-1940. [email-masked]. Rev. Dr. J. E. 
Paul Breton, pastor. Wed., 7p.m.; Sun., 11a.m.
SAN DIEGO AREA (619)
Affirmation (Mormons), PO Box 86469, 92138-6469. 489-6602.
Anchor Ministries, 3441 University Ave., 92104. 284-8654. Charismatic, 
full gospel church.
Dignity, PO Box 33367, 92163. Dignity Center, 4561 Park Blvd. 295-2584.
Integrity, PO Box 34253, 92163-0801. 234-1829.
MCC in the Country, 3901 Manzanita Dr., #C, 92105. 282-8488. Sunday, 6p.m., 
1600 Buena Vista Dr.
MCC, PO Box 33291, 92163-3291. 280-4333. 4333 30th St.
Pacific Beach United Methodist Church, 1561 Thomas, 92109. 274-6573. Sun., 
10:15a.m.
SAN FRANCISCO BAY AREA (415)
Dignity, 1329 7th Ave., 94122. 255-9244. Sunday, 5:30p.m.
Dolores Street Baptist Church, 938 Valencia St. at Liberty, 94110. 826-2641. 
FAX, 282-2826. Doug Donley, pastor. [email-masked]
Golden Gate MCC, 1508 Church St., 94131-2018.
Freedom In Christ Evangelical Church, P.O. Box 14462, San Fran, CA 94114. 
905-6509. Sun., 1:30p.m. at 50 Belcher St., between 14th St and Duboce.
Lutherans Concerned, 566 Vallejo St., #25, 94133-4033. 956-2069. Advent
MCC, 150 Eureka St., 94114-2492. 863-4434. Sunday, 9, 11a.m., 7p.m.
Oasis/California, 110 Julian Ave., 94103. 522-0222. [email-masked]. 
Gay and lesbian ministry of the Episcopal Diocese of California.
Rainbow Fellowship of First Congregational Church, 432 Mason St., 94102. 
392-7461. Monthly potlucks and planning meetings. Worship leaders.
Trinity Episcopal Church, 1668 Bush St., 94109. 775-1117.
Unitarian Universalist Gay/Les/Bi, 1187 Franklin, 94109. 731-3915.
UCCL/GC, 20 Woodside Ave., 94127. 576-1554.
SAN JOSE (408)
Dignity, PO Box 2177, Santa Clara, 95055. 977-4218.
Ecumenical Catholic Church, 374-3430. Scott Burris, contact person.
First Christian Church, 80 S. 5th St., 95112. 294-2944. Richard K. Miller, 
pastor.
Gay, Lesbian, and Affirming Disciples, c/o First Christian Church, 80 So. 
5th St., 95112. 294-2944.
Hosanna Church of Praise, 24 N. 5th St., 95112. 293-0708.
MCC, PO Box 2288, 95109-2288.  279-2711. 65 S. 7th St. Sunday, 6:30p.m., 
Wed., 7:30p.m.
New Community of Faith, 6350 Rainbow Dr., 95129. 253-1408. Richard E. Taylor, 
pastor. Vikki Yeghoyan, associate. A Welcoming and Affirming American Baptist 
congregation.
Valley West Church, 591 W. Hamilton Ave., Ste. 215, Campbell, CA 95008-0521. 
379-0740.
SAN LEANDRO (510)
San Leandro Community Church, 1395 Bancroft Ave., 95477. 483-1811. Kay 
Wellington, pastor.
SAN LORENZO (510)
MCC of Greater Hayward, 100 Hacienda, 94580. 481-9720. Sun., 12:30 p.m.
SAN LUIS OBISPO (805)
MCC of the Central Coast, PO Box 1117, Grover City, 93483-1117. 481-9376. 
Sunday, 10:30a.m. Rev. Randy A. Lester, pastor.
SANTA BARBARA/VENTURA COUNTY AREA (805)
MCC, 230 Lighthouse Rd., Santa Barbara, 93109-1905. 569-1615.
MCC, PO Box 25610, Ventura, 93002. 643-0502. Sunday, 6:20p.m. at 4949 
Foothill Rd.
SANTA CRUZ (408)
Lavender Road MCC, PO Box 1764, 95061. 335-0466.
SANTA ROSA (707)
Ecumenical Catholic Church, 865-0119. Archbishop Mark Shirilau.
New Hope MCC, PO Box 11278, 95406-1278. 526-HOPE. Sunday, noon at 3632 
Airway Dr.
STOCKTON (209)
Christian Science Lesbians, Box 7104, 95267-7104. 473-2129.
Delta Harvest MCC, 116 W. Willow St., 95202-1045. 477-1440.
WHITTIER (310)
Good Samaritan MCC, 11931 Washington Blvd., 90606-2607. 696-6213.

COLORADO
BOULDER (303)
Gay & Concerned Catholics, St. Thomas Aquinas University Parish, 904 
14th St., 80302. 443-8383.
COLORADO SPRINGS (719)
Pikes Peak MCC, 730 N. Tejon, 80903. 634-3771.
DENVER (303)
Axios: Eastern Orthodox Christians, 11635 E. Cedar Ave., Aurora, 80012, 
343-9997.
Christ Chapel, 922 E. 23rd Ave., 80205-5111.
Evangelicals Reconciled, PO Box 200111, 80220. 331-2839. Colorado Springs, 
(719)488-3158.
Lutherans Concerned, 1441 Humboldt St., Apt 507, 80218-2370. 422-3176.
MCC of the Rockies, 980 Clarkson St., 80218. 860-1819.
St. Paul's UMC, 1615 Ogden St., 80218. 832-4929.
PUEBLO (719)
MCC, PO Box 1918, 81002. 543-6460.

CONNECTICUT
HARTFORD (203)
Central Baptist Church, 457 Main St., 06103. 522-9275. Paul G. Gillespie, 
pastor. A Welcoming and Affirming American Baptist Congregation. Support 
group for gays and lesbians.
Dignity, PO Box 72, 06141. 296-9229.
MCC, 1841 Broad St., 06141. 724-4605. Sunday, 10:30a.m. Meets at the 
Community Center. Rev. David F. Jarvis, pastor.
NEW HAVEN (203)
MCC, 34 Harrison St., 06515. 389-6750.
NOANK (203)
Noank Baptist Church, 18 Cathedral Heights, 06340. 536-7129. James L. 
Pratt, pastor. A Welcoming and Affirming American Baptist congregation.
TOLLAND (203)
UCCL/GC, 147 Virginia Ln, 06084. 872-6537.
VERNON (860)
Ecumenical Catholic Church Koinonia Ministries, 871-0153. Rev. Dennis Finnegan.
WATERBURY (203)
Integrity, c/o St. John's Church, 16 Church St., 06702. 482-4239.
WEST HARTFORD (860)
St. Francis & Claire ECCR, 360 Park Rd., Apt. A-2, 06119. 232-5119.

DELAWARE

DISTRICT OF COLUMBIA (202)
Affirmation (Methodists), PO Box 23636, 20026. 667-0008.
Affirmation (Mormons) PO Box 77504, 20013-7504. 828-3096.
Christ UMC, 4th & I Sts. SW, 20024. 544-9117.
Church of the Disciples MCC, 912 3rd St., NW, 20001. 842-4870. Sun., 
10a.m. The Rev. Harry B. Stock, pastor.
Dignity, PO Box 53001, 20009. 387-4516.
Dumbarton UMC, 3133 Dumbarton Ave. NW, 20007. 333-7212.
Faith Temple, 1313 New York Ave., 20005. 544-2766.
Integrity, PO Box 19561, 20036-0561. (301)953-9421. Gayspring
Kinship/SDA, 1400 20th St., NW #607, 20036. 296-2441.
Lutherans Concerned, 212 E. Capitol St., SE, 20001-1036. (703)486-3567.
MCC, 474 Ridge St., NW, 20001. 638-7373. Sunday 9, 11a.m., 7p.m.
PLGC, c/o Westminster Presbyterian Church, 400 I St., SW, 20024. 667-2679.
Riverside Baptist Church, 680 Eye St. SW, 20024. 554-4330. Michael Bledsoe, 
pastor.
Washington Friends (Quakers), 2111 Florida Ave., NW 20008. 483-3310.

FLORIDA
BOCA RATON (407)
Church of Our Savior MCC, 4770-C NW 2nd Ave., 33431. 998-0454. Sunday, 
10:30a.m., 7:30p.m. Rev. John F. Jacobs, pastor.
CLEARWATER (813)
Free Catholic Church of the Resurrection, PO Box 3454, 34615. 442-3867. 
303 N. Myrtle Ave.
COCOA (407)
Breaking the Silence MCC, PO Box 1585, 32923. 631-4524.
COCONUT GROVE (305)
Plymouth Congregational Church, 3400 Devon Rd, 33133. 444-6521. AIDS 
outreach ministry. All are welcome.
St. Stephen's Episcopal Parish in the Grove, 2750 McFarlane Rd., 33133. 
448-2601. FAX 448-2153. Comprehensive AIDS ministry.
DAYTONA BEACH (904)
Hope MCC, PO Box 15151, 32115. 254-0993.
FORT LAUDERDALE (305)
Church of the Holy Spirit MCC, 330 SW 27th St., 33315. 462-2004.
Dignity, PO Box 22884, 33335. 463-4528.
FORT MYERS (813)
All Saints Congregation (Independent), 2756 McGregor Blvd., 33901. Mailing 
address: 1830 Maravilla Ave, #512, 33901. Rev. Michael Balfour, pastor.
St. John the Apostle MCC, PO Box 2107, 33902-2107. 278-5181. 2209 Unity at 
the corner of Broadway. Sunday, 10a.m., 7p.m. Rev. Renne Shawver.
GAINESVILLE (904)
United Church, 1624 NW 5th Ave., 32603.
INTERLACHEN (904)
Bethel Evangelistic Ministries, Inc., PO Box 1778, 32148. 684-6479.
JACKSONVILLE (904)
St. Luke's MCC, 1140 S. McDuff Ave., 32205-7551. 389-7726, FAX 389-7626.. 
Sunday, 9a.m., 11a.m., 7p.m. Rev. Frankye A. White, pastor. [email-masked].
KEY WEST (305)
MCC, 1215 Petronia St., 33040. 294-8912. Sunday, 9:30, 11a.m., Wed., 7p.m. 
Rev. Steven M. Torrence, pastor.
KISSIMMEE (407)
Sts. Perpetua & Felicity Ecumenical Catholic Church, 33 Las Palmas, 34743. 
348-5440. Fr. Bernardo Moralis.
MIAMI (305)
Christ MCC, 7701 SW 76th Ave., 33143. 284-1040.
Grace Church of Miami Shores, 10390 NE 2nd Ave., 33138. 758-6822. John Amy, 
pastor. Sun., 11:30a.m., praise and worship. 10a.m., Bible study.
OCALA (904)
House of Victory Church, PO Box 2841, 32678-2841. 368-6014. 3820 E. Silver 
Springs Blvd.
ORLANDO (407)
Integrity, PO Box 530031, 32853-0031. 332-2743.
Joy MCC, PO Box 3004, 32802-3004. 894-1081. 2351 S. Ferncreek.
PENSACOLA (904)
Holy Cross MCC, 415 N. Alcaniz St., 32501. 433-8528. Sunday, 11a.m., Wed., 7p.m.
SAINT PETERSBURG (813)
Dignity, PO Box 1337, Pinellas Park, 34664-1337. 238-2868.
King of Peace MCC, 3150 5th Ave. N, 33713. 323-5857. Sunday, 10a.m.,
7:30p.m.
St. Philip Ecumenical Catholic Church, 367-8352. Rev. Patricia Bingham. 
SARASOTA (813)
Church of the Trinity MCC, 7225 N. Lockwood Ridge Rd., 34243-4526. 355-0847. 
Sunday, 10a.m.
Integrity, c/o St. Boniface Church, 5615 Midnight Pass Rd., 34242-1721. 
349-5616.
TAMPA (813)
MCC, 2904 Concordia Ave., 33629. 839-5939.
St. John The Evangelist Ecumenical Catholic Church, PO Box 280350, 33682. 
979-4940. Fr. Daniel Williams.
WEST PALM BEACH (407)
Dignity, PO Box 3014, Tequesta, 33469. 744-1591. 641-9944.
Integrity, PO Box 14583, No. Palm Beach, 33408. 627-1409.
MCC of the Palm Beaches, 3500 45th St., #2A, 33409. 687-3943. Sunday, 9:15, 
11a.m. Services also in Ft. Pierce, 687-3943 and Pt. St. Lucie, 340-0421.

GEORGIA
ATLANTA (404)
Dignity, PO Box 14342, 30324. 409-0203.
First MCC, PO Box 8356, 30306-0356. 872-2246. 800 N. Highland Ave. NE.
Integrity, PO Box 13603, 30324-0603. 642-3183.
Lutherans Concerned, PO Box 13673, 30324. 636-7109.
All Saints MCC, PO Box 13968, 30324. 622-1154.
PLGC, PO Box 8362, 30306. 373-5830.
Southern Voice, PO Box 18215, 30316. 876-1819.
UULGC, 1911 Cliff Valley Way, 30329. 634-5134.
DECATUR (404)
Christ Covenant MCC, 109 Hibernia Ave., 30030. 297-0350.
St. Aelred ECCR, 203 Wilton Dr., 30030. 377-3780. [email-masked].
LITHIA SPRINGS (770)
Ecumenical Catholic Church, 739-6479. [email-masked].
MARIETTA (770)
Mt. Calvary Lighthouse, 546 Little St., Apt 8, 30060-2653. 421-9606. Bro. P. 
Johnson, pastor.
SAVANNAH (912)
Disciples of the Trinity MCC, P.O. Box 14624, 31416. 231-1065. Meets at 321 
York St. in the Historic District. Mel Bailey, pastor.

HAWAII
MAUI (808)
New Liberation MCC, PO Box 347, Puunene, 96784. 879-6193.
OAHU (808)
Affirmation (Mormons), PO Box 75131, Honolulu, 96836-0131. 239-4995.
Dignity, PO Box 3956, Honolulu, 96812-3956. 536-5536.
Ke Anuenue O Ke Aloha MCC, PO Box 12260, Honolulu, 96828-1260. 942-1027. 
Sunday, 11a.m., Dole Cannery Sq., 7p.m., 1212 University Ave.
Religious Science, 520 Makapuu Ave., Honolulu, 96816. 942-0800.
UULGC, 2500 Pali Hwy., Honolulu, 96817. 623-4726.

IDAHO
BOISE (208)
MCC, PO Box 1959, 83702. 342-6764.

ILLINOIS
ALTON
Christ the Victor Church, 2613 Maxey St., Alton, IL 62002-4779.
CHICAGO (312)
Chicago Interfaith Congress, PO Box 60039, 60660. 784-2635.
Chicago Outlines, 3059 N. Southport, 60657. 871-7610.
Christ the Redeemer MCC, PO Box 6146, Evanston, 60204-6146. (708)262-0099. 
933 Chicago Ave.
Church of the Resurrection MCC, 5540 S. Woodlawn, 60637. 288-1535. Worship 
service 10:30a.m. Sun.
Dignity, 909 W. Belmont Ave., #205. 60657-4408. 296-0780.
Emergence, PO Box 2547, 60690.
Good Shepherd Parish MCC, 615 W. Wellington Ave., 60657-5305. 427-8708. 
Sunday, 7p.m.
Grace Baptist Church, 1307 West Granville Ave., 60660. 262-8700. Kelly 
Sprinkle, pastor. A Welcoming and Affirming American Baptist congregation.
Holy Covenant MCC, 17 W. Maple, Hinsdale, 60521-3495. (708)325-8488. Sunday, 
6p.m.
Holy Family Ecumenical Catholic Church, 721-5383. Fr. Jim Wilkowski. 
[email-masked].
Integrity, PO Box 2516, 60690. 349-6362.
Lutherans Concerned, PO Box 10197, 60610. 342-1647.
PLGC, c/o Lincoln Park Presbyterian Church, 600 W. Fullerton Pkwy., 
60614-2690. 784-2635.
Shammah Christian Fellowship, PO Box 5427, Evanston, 60204. 561-5524.
UULGC, c/o Second Unitarian Church, 656 W. Barry Ave., 60657. 549-0260.
UCCL/GC, 6171 N. Sheridan Rd., #2701, 60660-2858. 338-0452.
EVANSTON (708)
Lake Street Church, 607 Lake St., 60201. 864-2181. Robert Thompson, pastor. 
A Welcoming and Affirming American Baptist congregation.
JACKSONVILLE (217)
St. Maximilian Kolbe ECCR, PO Box 1345, 62650-1345. 243-4539. FAX, 243-4735. 
ECCR is an inclusive church. All welcomed.
QUINCY (217)
MCC Illiamo, P.O. Box 421, 62306-0421. 224-2800.
ROCK ISLAND (309)
Lutherans Concerned, P.O. Box 3891, 61204-3891.
MCC Quad Cities, 1001 18th Ave., 61204-6132. 786-5655.
SPRINGFIELD (217)
Faith Eternal MCC, 304 W. Allen St., 62704. 525-9597. Sun., 10a.m. and 6p.m.
URBANA/CHAMPAIGN (217)
Integrity, 1011 S. Wright St., Champaign, 61820. 344-1924.
PLGC, 809 S. 5th St., Champaign, 61820. 
WAUKEGAN (847)
First Congregational United Church of Christ, 315 N. Utica St., 60085. 
336-5368. Rev. Brad S. Lutz, minister. An Open and Affirming Congregation.
Joy of Life MCC, 511 S. Lewis Ave., 60085-6105. (708)578-5022. 2031 Dugdale Rd.

INDIANA
BLOOMINGTON (812)
Integrity, PO Box 3232, 47402-3232. 339-0426.
FORT WAYNE (219)
New World Church, PO Box 11553, 46859. 456-6570. 222 E. Leith St.
Open Door Chapel, 3426 Broadway, 46807. 744-1199.
Task Force, First Presbyterian Church, 300 W. Wayne St., 46802. 426-7421.
INDIANAPOLIS (317)
Affirmation (Methodists), 33 E. 32nd St., 46205. 925-0043.
Dignity, PO Box 431, 46206. 251-0680.
Jesus MCC, PO Box 441551, 46244-1551. 357-9687.

IOWA
CEDAR RAPIDS (319)
All Faiths MCC, PO Box 412, 52406. 396-9207.
CORALVILLE (319)
Integrity, PO Box 5225, 52241. 351-9263.
DAVENPORT (319)
GLAD Alliance, 2628 Western Ave., 52803-1473. 324-6231.
DES MOINES (515)
Church of the Holy Spirit MCC, P.O. Box 8426, 50301. 284-7940. Office and 
worship space located at 1548 8th St. Sun., 6p.m. Rev. Paul Whiting, pastor.
Word of God Ministries, P.O. Box 4396, 50333. 270-2709. Meets at St. Mark's 
Episcopal Church, 3120 E. 24th St., Des Moines.
IOWA CITY (319)
Faith United Church of Christ, 1609 DeForest St., 52240. 338-5238. An Open 
and Affirming Congregation.
PLGC, PO Box 3202, 52244.
NASHUA (515)
UCCL/GC, c/o Carmen-Linda Conklin, RR2, 50658. 435-5068.
SIOUX CITY (712)
MCC, PO Box 361, 51102-0361. 255-8005.
URBANDALE (515)
Urbandale United Church of Christ, 7002 Oliver Smith Dr., 50322. 276-0625. 
An Open and Affirming Congregation.
WATERLOO (319)
Church of New Hope MCC, PO Box 34, 50704. 234-1981. Meets at 3912 Cedar Hts., 
Cedar Falls.

KANSAS
TOPEKA (913)
MCC, PO Box 4776, 66604-0776. 232-6196. SE Indiana Ave at 25th 
WICHITA (316)
First MCC, 156 S. Kansas Ave., 67211. 267-1852.
Wichita Praise and Worship Center, PO Box 11347, 67202. 651-0603.

KENTUCKY
LEXINGTON (606)
Interweave, 3564 Clays Mill Rd., 40503. 223-1448
LOUISVILLE (502)
Affirmation (Methodists), PO Box 7692, 40257-0692. 635-1402.
Allegro, PO Box 4034, 40204. 581-1829.
Central Presbyterian, 318 W. Kentucky Ave., 40203. 587-6935. Sunday, 11a.m.
Christ Church Cathedral, 421 S. 2nd St., 40202. 587-1354.
Conference for Catholic Lesbians, PO Box 4778, 40204-0778. 895-0930.
Dignity, PO Box 4778, 40204. 581-1841.
Integrity, c/o St. George's Episcopal Church, 1202 S. 26th St., 40202. 584-6658.
Lutherans Concerned, PO Box 7692, 40257-0692. 897-5719.
MCC, PO Box 32474, 40232. 775-6636. 4222 Bank St.
Phoenix Rising, PO Box 19897, 40259-0897. 966-8357.
PLGC, PO Box 7692, 40257-0692. 897-5719.
Third Lutheran Church, 1864 Frankfort Ave., 40206. 896-6383. Sunday, 11a.m. 
[email-masked]
Trinity Lutheran Church, 1432 Highland Ave., 40204. 587-8395. Sunday, 
9:30a.m., Wed., 6:30p.m. [email-masked].
PADUCAH (502)
MCC, PO Box 176, West Paducah, 42086. 441-2307.

LOUISIANA
BATON ROUGE (504)
Joie de Vivre MCC, PO Box 64996, 70896. 383-0450.
Solidarity House/Baton Rouge Catholic Worker, 1275 Laurel St., 70802. 
389-9572, 383-6010. Gay-friendly Catholic Worker community of 
hospitality/lodging for spousal abuse victims.
PLGC, 2285 Cedardale, 70808.
COVINGTON (504)
Abundant Grace Christian Fellowship, 832 E. Boston St., #3, 70433. 871-9527. 
Pastors Lee Thompson and Yolande Yaeger.
LAFAYETTE (318)
MCC, PO Box 92682, 70509. 232-0546. 211 Garfield.
LAKE CHARLES (318)
MCC, PO Box 384, 70602. 439-9869. 510 Broad St.
NEW ORLEANS (504)
ECCR Diocese of the South, 4473 Maple Leaf Dr., 70131. 393-7244
First Jesus Name Church, P.O. Box 58362, 70158-8362. An Acts 2:38 congregation.
Grace Fellowship, PO Box 70555, 70172. 944-9836.
Relationship Therapy Center, 620 N. Carrollton Ave., 70119. 488-9924. 
Counseling and support services, gay and lesbian.
St. Ambrose Ecumenical Catholic Church, 558-0713. Fr. Jay Rubar.
UCCL/GC, 944 Joyce St., Marrero, 70072-2306. 341-4608.
Vieux Carre MCC, 1128 St. Roch Ave., 70117-7716. 945-5390. Sunday, 10a.m.
WEST MONROE
God's Garden Growth Mission, P.O. Box 2631, 71294. Sr. R. Boyd, pastor.

MAINE
BANGOR (207)
Dignity, PO Box 103, North Sullivan, 04664-0103.
PORTLAND (207)
Dignity, PO Box 8113, 04104.
WALDOBORO (207)
Integrity, PO Box 25, 04572.

MARYLAND
ADELPHI (301)
Interfaith Coalition for Free State Justice c/o Paint Branch UU Church, 
3215 Powder Mill Rd., 20783. 776-6891.
BALTIMORE (410)
The Alternative, PO Box 2351, 21203. (301)235-3401.
Archdiocesan Gay/Lesbian Outreach, 2034 Park Ave., 21217. 728-2638.
Dignity, PO Box 1243, 21203-1243. 325-1519.
First New Covenant Fellowship Church, 5 W. Fort Ave., 21230-4407. 523-7789. 
Sunday, 2:15p.m. at Dorguth UMC, 527 Scott St.
Integrity, c/o Emmanuel Church, 811 Cathedral St., 21201. 732-0718.
Lutherans Concerned, Box 23271, 21203-5271. 225-0563.
MCC, 3401 Old York Rd., 21218. 889-6363.
BETHESDA (301)
Open Door MCC, PO Box 127, Boyds, 20841-0127. 601-9112. Sunday, 10:30a.m., 
7p.m. at 15817 Barnesville Rd.

MASSACHUSETTS
BOSTON (617)
Dignity, 95 Berkeley St., #616, 02116. 423-9558.
Ecumenical Catholic Church, 227-5794. Bishop Paul Diederich. [email-masked].
Support Group, Church of the Covenant, 67 Newbury St., 02116. 266-7480.
Integrity, c/o Christ Church, 12 Quincy Ave., Quincy, 02169. 773-0310.
MCC, PO Box 15590, Kenmore Stn., 02215. 288-8029. Sunday, 7p.m. at 131 
Cambridge St., Beacon Hill.
CAMBRIDGE (617)
Friends for Lesbian/Gay Concerns (Quakers), 5 Longfellow Park, 02138. 876-6883.
Old Cambridge Baptist Church, 1151 Massachusetts Ave., 02138. 864-8068. 
Irving Cummings, pastor. A Welcoming and Affirming American Baptist 
congregation.
DORCHESTER (617)
St. Martin de Porres ECCR, 3 Holden St., Apt. 1, 02124. 822-0767.
HOLDEN (508)
UCCL/GC, PO Box 403, 01520. 856-9316.
OSTERVILLE (508)
Healthsigns Counseling Center, 100 Acorn Dr., 02655. 420-0258. Anne Ierardi, 
director.
SANDWICH (508)
St. Luke ECCR, 5 Emily Ln., 02563. 428-8301.
SPRINGFIELD (413)
Integrity, PO Box 5051, 01101-5051. 737-4786.
WALTHAM (617)
Lutherans Concerned, c/o Randall Rice, 108 1/2 Chestnut St., 02154-0406. 
893-2783.
WORCESTER (508)
First Baptist Church, 111 Park Ave., 01609. 755-6143. Barbara Sinclair, 
associate pastor. A Welcoming and Affirming American Baptist congregation.
Morning Star MCC, 231 Main St., Cherry Valley, 01611. 892-4320. Pub: Morning 
Star Witness
Unitarian Universalists for Bi/Gay/Lesbian Concerns, PO Box 592, Westside 
Stn., 01602. 755-0005.

MICHIGAN
ANN ARBOR (313)
Canterbury House, 721 E. Huron St., #2R, 48104-1526.
Huron Valley Community Church, 1001 Green Rd., 48105-2896. 741-1174. Sunday, 
2p.m. at Glacier Way UMC.
Tree of Life MCC, 485-3922. 665-6163. Meets at First Congregational Church, 
218 N. Adams, Ypsilanti, MI 48197-2507. Sunday, 6p.m.
DETROIT (313)
Cruise Magazine, 19136 Woodward N., 48203. 369-1901.
Dignity, PO Box 32874, 48232. 563-0892.
Integrity, c/o Emmanuel Episcopal Church, 18320 John R St., 48203. 459-7319.
MCC Detroit, PO Box 836, Royal Oak, MI 48068-0836. (810)399-7741. 
Publication: Cornerstone. Meets at Drayton Ave. Presbyterian Church, 
Ferndale. Sun., 10a.m., 7p.m.
Men of Color group meets Tuesdays at 7p.m. at St. Matthew's and St. Joseph's 
Episcopal Church, 8850 Woodward. 871-4750.
New Generation Youth Group, PO Box 11499, 48211, meets Wed., 5p.m. at 3028 
East Grand Blvd., 872-2424.
FERNDALE (810)
Bethel Christian Assembly East, PO Box 20193, 48220. 543-9545. 
[email-masked]. An Apostolic church for you. Pastors Bruce and Philip 
Roller-Pletcher.
FLINT (313)
Dignity, PO Box 585, 48501.
Redeemer MCC, 1665 N. Chevrolet Ave., 48504-3164. 238-6700. Sunday, 6p.m. 
Rev. Linda J. Stoner, pastor. Pub: Sounds of Redeemer.
FT. GRATIOT (810)
All Souls' Apostolic Catholic Church, 4653 Desmond Beach, 48059. 385-9224. 
Holy Eucharist Sun. 11a.m.
GRAND RAPIDS (616)
Apostolic Assemblies of Our God Jesus Christ, PO Box 6935, 49546. 956-0509. 
[email-masked].
Dignity, PO Box 1373, 49501. 454-9779.
Reconciliation MCC, PO Box 1259, 49501. 364-7633.
KALAMAZOO (616)
Phoenix Community Church, PO Box 2222, 49003-2222. 381-3222, Sunday, 6p.m. at 
United Church of Christ.
LANSING (517)
Dignity, PO Box 1265, East Lansing, 48826.
Ecclesia, meets at People's Church, 200 W. Grand River. Sunday, 7:30p.m.
Integrity, c/o All Saints Church, 800 Abbott Rd., East Lansing, 48823.
WYANDOTTE (313)
Mariavite Old Catholic Church, 2803 10th St., 48192-4994. 281-3082.

MINNESOTA
MARSHALL (507)
Lutherans Concerned/Integrity, PO Box 3013, 56258. (800)235-3708.
MINNEAPOLIS/ST. PAUL (612)
Affirmation (Mormons), PO Box 3878, Minneapolis, 55403. 753-3345.
Affirmation (United Methodists), 101 E. Grant St., Minneapolis, 55403. 
874-6613, 871-3585.
All God's Children MCC, 3100 Park Ave. S., Minneapolis, 55407. 824-2673. 
Window of Wellness Counseling Center offers positive affirming Christian 
counseling for homosexuals.
Catholic Pastoral Committee, 1118 Farrington St., St. Paul, 55117-4802. 
340-0618.
Dignity, PO Box 3565, Minneapolis, 55403. 827-3103.
Integrity, c/o University Episcopal Center, 317 17th Ave SE, Minneapolis, 
55414. 825-2301.
Judson Memorial Baptist, 4101 Harriet Ave. So., Minn., 55409. 822-0649. 
Dale K. Edmondson, pastor. A Welcoming and Affirming American Baptist 
congregation.
Spirit of the Lakes Community Church, (UCC), 2930 13th Ave. S., Minneapolis, 
55407. 724-2313. Sunday, 10a.m., Wed., 7p.m.
Lutherans Concerned, 100 N. Oxford St., St. Paul, 55104-6540. 866-8941.
Temple Baptist Church, 3100 Columbus Ave., S, 55407. 823-6268. Cheryl Winch, 
Welcoming and Affirming Congregation contact.
Trinity River Church, P.O. Box 8936, Minn, 55408. 870-8956. Services held at 
1819 Nicollet Ave. S.
UCCL/GC, 134 W. 43rd St., Minneapolis, 55409.
University Baptist Church, 1219 University Ave., SE, 55414. A Welcoming and 
Affirming Congregation.
Wingspan Ministry, 100 N. Oxford, St. Paul, 55104. 224-3371.

MISSISSIPPI
JACKSON (601)
Gay and Lesbian Task Force, PO Box 7737, 39284-7737. 373-8610.
Phoenix Coalition, Inc., PO Box 7737, 39284-7737. 373-8610,939-7181. 
Counseling services.
St. Stephen's United Community Church, PO Box 7654, 39284-7654. 939-7181, 
373-8610. Sunday, 5p.m. at Unitarian Church, 4872 N. State St.

MISSOURI
COLUMBIA (314)
Christ the King Agape Church, 515 Hickman Ave., 65201. 443-5316.
United Covenant Mission Church, PO Box 7152, 65205. 449-7194.
KANSAS CITY AREA (816)
Abiding Peace Lutheran Church, 5090 NE Chouteau Trafficway, 64119. 452-1222. 
Caring for people and creation. Mary Gerken, contact person. A Reconciled in 
Christ congregation.
Affirmation (United Methodists), 5709 Virginia Ave., 64110-2855. 363-6892.
GLAD Disciples of Christ, PO Box 414711, 64141. 432-6139.
Integrity, PO Box 414164, 64141-4164. 281-0699.
Lutherans Concerned, PO Box 413702, 64141.
MCC, PO Box 10087, 64111-0087. 931-0750. 3801 Wyandotte.
MCC Johnson County, 12510 W. 62nd Terr., #106, Shawnee Mission, 66216. 
(913)631-1184.
New Jerusalem Fellowship Ministries, PO Box 10496, 64111. 763-3134.
ST. LOUIS AREA (314)
Agape Church, 2026 Lafayette Ave., 63104. 664-3588.
Dignity, PO Box 23093, 63156. 863-6002.
MCC, PO Box 7226, 63177-7226. 231-9100. 1120 Dolman St.

MONTANA
BILLINGS (406)
Family of God MCC, 645 Howard, 59101. 245-7066. Sunday, 11a.m., Wed., 7p.m.
BOZEMAN (406)
Affirmation (United Methodists), 1000 N. 17th Ave., #29, 59715. 586-7438.
GREAT FALLS (406)
Shepherd of the Plains MCC, PO Box 2162, 59403. 771-1070. 1505 17th Ave., 
SW, 59404.

NEBRASKA
OMAHA (402)
MCC, PO Box 3173, 68103. 345-2563. 819 S. 22nd St.
PLGC, c/o Evans, 3810 13th St., #22, 68107. 733-1360.

NEVADA
LAS VEGAS (702)
MCC, 1119 S. Main St., 89104-1026. 384-2325.
Mustard Seed Ministries, P.O. Box 70053, 89170. Sr. W. Abney, pastor.
RENO (702)
MCC of the Sierra, PO Box 21192, 89515-1192. 829-8602.

NEW HAMPSHIRE
MANCHESTER (603)
P-FLAG, PO Box 386, 03105. 623-6023. Monthly meetings in Concord, Nashua, 
Stratham, Monadnock.
NASHUA (603)
Integrity, PO Box 412, 03061. 882-5352.
PORTSMOUTH (603)
Judith A. Palais, MSW, BCD, psychotherapist. Gay/lesbian couples/individuals. 
431-1900.

NEW JERSEY
ASBURY PARK (908)
Dignity, PO Box 901, 07712. 774-4031.
ELMWOOD (201)
St. John the Forerunner Eastern ECCR, 103 Park View Ave., 07407. 797-1866.
JERSEY CITY (201)
Christ Our Teacher ECCR, 219 First St., #1, 07302-2868. 333-1094.
MAPLEWOOD (201)
Dignity, St. George's Church, 550 Ridgewood Rd., 07040. 761-7321.
NEWARK (201)
The Oasis, Cathedral House, 24 Rector St., 07102. 621-8151.
NEW BRUNSWICK (908)
Dignity, PO Box 10781, 08906-0781. 819-0668.
MCC Christ the Liberator, PO Box 10494, 08906. 846-8227.
PLGC, PO Box 38, 08903-0038. Pub: More Light Update.
SUSSEX (201)
The Loving Brotherhood, PO Box 556, 07461. 875-4710.

NEW MEXICO
ALBUQUERQUE (505)
Dignity, PO Box 27294, 87125. 898-3343.
Kinship, Seventh Day Adventists, PO Box 26012, 87125.
MCC, 2404 San Mateo Pl., NE, 87110. 881-9088. Rev. Dr. Fred C. Williams, 
pastor. Sun., 10a.m.
River of Life Healing Ministries, 134 Quincy, NE, 87108.
LAS CRUCES (505)
Holy Family Parish of the Evangelical Anglican Church in America, 1701 E. 
Missouri Ave., 88001. 522-7119. An inclusive parish open to all.
Koinonia, 2162 Dorado Dr., 88011. 521-1490. Gay and lesbian spirituality group.
SANTA FE (505)
The Catsby Connection, 551 W. Cordova, Ste. D/E, 87501. 986-1794.

NEW YORK
ALBANY/CAPITAL AREA (518)
Community of St. John Christian Orthodox Church, PO Box 9073, 12209. 
346-0207. Fr. Herman. Pub: Metanoia
Dignity, PO Box 11204, Loudonville, 12211-0204. 436-8546.
Emmanuel Baptist Church, 275 State St., Albany, 12210. 465-5161. Roy A. 
Donkin, pastor. A Welcoming and Affirming American Baptist Congregation.
Integrity, c/o Grace & Holy Innocents, 498 Clinton Ave., 12206. 465-1112.
Lighthouse Apostolic Church, PO Box 1391, Schenectady, 12301-1391. 372-6001. 
Bro. W. H. Carey, pastor.
MCC, 275 State St., 12210. 785-7941.
BUFFALO (716)
Dignity, PO Box 75 Ellicott Stn., 14205. 833-8995.
Integrity, c/o Church of the Ascension, 16 Linwood Ave., 14209. 884-6362.
Pink Triangle Christian Fellowship, PO Box 722 Ellicott Stn., 14205-0722. 
845-6971. Pub: Spiritworks.
GENEVA (315)
PLGC, PO Box 278, Dresden, 14441-0278. 536-7753.
UCCL/GC, 333 Argonne Dr., 14217-2417. 877-0459.
HAMPTON BAYS (516)
Good Shepherd American Catholic Church, P.O. Box 725, #10 Faith Dr., 11946. 
723-2012.
NEW YORK CITY AREA
Bronx (718)
St. Ann's Church, 295 St. Ann's Ave., 10454. 585-6325.
Brooklyn (718)
Dignity, PO Box 021313, 11202-1313. 769-3447. Monthly worship and social in 
the Roman Catholic tradition.
First Unitarian Church, Lesbian, Gay, Bisexual Concerns Committee, 50 Monroe 
Pl., 11201. 624-5466.
Long Island (516)
Assn. for AIDS Care, Inc., PO Box 2859, Huntington Stn., 11746. 385-AIDS.
Circle of More Light, Box 203, Brookhaven, 11719-0203. 286-0542.
Dignity, PO Box 48, East Meadow, 11554. 781-6225. Lesbian/gay Catholics.
Gay & Lesbian Unitarian Universalists, c/o UUF of Stony Brook, PO Box 602, 
Stony Brook, 11790. 399-4967.
International Free Catholic Church/Good Shepherd Church, PO Box 436, Central 
Islip, 11722. 723-0348. Rev. Msgr. Robert J. Allmen, pastor.
Manhattan/New York City area (212)
Axios: Eastern & Orthodox Christians, PO Box 756, Village Stn., 10014. 
989-6211. Second Friday, 8p.m., Community Center, 208 W. 13th St.
Christian Science Group, c/o 444 3rd Ave., #4, 10016. 532-8379.
Dignity, PO Box 1028 Old Chelsea Stn., 10011. 818-1309. Pub: Outlook.
Dignity, PO Box 1554 FDR Stn., 10150. 866-8047.
ECC of the Theotokos, 308-7716. Fr. Frank Rocco. [email-masked].
Evangelicals Concerned, 311 E. 72nd St., #1G c/o Dr. Ralph Blair, 10021. 
517-3171. Pub: Record, Review
Gay & Lesbian Quakers, 15 Rutherford Pl., 10003-3971. 475-0195, 
979-0170.
Gay, Lesbian & Affirming Disciples Alliance, c/o Allen Harris, 1453A 
Lexington Ave., 10128-2506. 289-3019.
Integrity, PO Box 5202, 10185-0043. (718)720-3054 Pub: Outlook.
Judson Memorial Church, 55 Washington Square So., 10012. 477-0351. 
Peter Laarmon, pastor. A Welcoming and Affirming American Baptist congregation.
Lesbian and Gay Community Services Center, Inc., 208 W. 13th St., 10011. 
620-7310. Pub: Center Stage, Center Voice.
Madison Avenue Baptist Church, 30 East 31st St., 10016. 685-1377. Michael B. 
Easterling, pastor. A Welcoming and Affirming American Baptist congregation.
Maranatha: Riversiders for Lesbian/Gay Concerns, c/o Riverside Church, 490 
Riverside Dr., 10027. 222-5900.
MCC, 208 W. 13th St., 10011. 242-1212. Sunday, 10a.m. at 208 W. 13th St., 
7p.m. at 135 W. 4th St.
PLGC, 740 West End Ave., 10025. 866-3580.
Park Avenue Christian Church (Disciples of Christ), 1010 Park Ave. at 85th 
St., 10028. 288-3246. A vibrant, creative, and diverse congregation committed 
to extending the love of Christ to all people.
Potluck, c/o Allen V. Harris, 1010 Park Ave., 10028-0991. 288-3246. Fourth 
Friday, 7p.m.
Riverside Church, 490 Riverside Dr., 10027. 222-5900. Brenda Stiers, program 
administrator.
Rutgers Presbyterian Church, 236 W. 73rd St., 10023. 877-8227. Sunday, 11a.m. 
More Light church.
Seventh-Day Adventist Kinship International, PO Box 20595, 10025. (718)662-8656.
Temple of Miraculous Perception, 237 W. 100 St., 10025. 222-2874.
UCCL/GC, c/o Craig Hoffman, 1453A Lexington Ave., 10128. 289-3016.
Unity Fellowship Church, PO Box 2708, 10008-2708. (718)636-5646.
Washington Square UMC, 135 W. 4th St., 10012. 777-2528.
West Park Presbyterian Church, 165 W. 86th St., 10024. 362-4890.
Queens (718)
Queens Lesbian & Gay Christians, PO Box 4154, College Point, 11356. 353-3941. 
Pub: The Good Shepherd
Unitarian Universalist Church, Lesbian, Bisexual & Gay Concerns Committee, 
147-54 Ash Ave., Flushing, 11355. 353-3960.
Westchester (914)
Integrity, PO Box 2038, White Plains, 10602-2038. 949-4367. Pub: The Grapevine.
NIAGARA FALLS (716)
Rainbow Community Apostolic Fellowship, c/o Roberts, 456 4th St., Apt 6, 
14301. 284-7044. Bro. C. Roberts, pastor.
PLATTSBURGH (518)
St. Mary's Ecumenical Catholic Church, PO Box 159, Chazy, 12921. 493-3272 
(voice and FAX). Rev. Fr. Michael R. Frost.
POUGHKEEPSIE (914)
Dignity/Integrity, PO Box 356, Lagrangeville, 12540-0356. 724-3209.
ROCHESTER (716)
Community Christian Fellowship, PO Box 68005, 14618. 234-9776. A place of 
prayer, praise and Bible study for gay and lesbian Evangelical Christians.
Dignity/Integrity, 17 S. Fitzhugh St., 14614. 262-2170.
Lake Avenue Baptist Church, 57 Ambrose St., 14608. 458-5765. Peter Carman, 
pastor. A Welcoming and Affirming American Baptist congregation.
The Empty Closet, 179 Atlantic Ave., 14607-1255. New York State's oldest 
gay/lesbian newspaper.
Open Arms MCC, 302 Goodman St., N., Ste. 10, 14607-1153. 271-8478.
PLGC, c/o Carter, 111 Milburn St., 14607-2918. 271-7649.
SYRACUSE (315)
May Memorial Unitarian Universalists for Lesbian & Gay Concerns, 3800 E. 
Genessee St., 13214. 424-7628.
Ray of Hope MCC, PO Box 6955, 13217. 471-6618. Sunday, 6p.m. at 819 Madison St.
UTICA (315)
Dignity, PO Box 352, 13503. 738-0599.
WANTAGH (516)
Dignity, PO Box 2600, 11793. 781-5942.
WATERLOO (315)
St. Anthony of Padua Ecumenical Catholic Church, 539-4323. Fr. Tom Sterner.

NORTH CAROLINA
ASHEVILLE (704)
Community Connections, PO Box 18088, 28814. 258-3260. Newspaper for the 
Southern Appalachian gay/lesbian community.
MCC, PO Box 2359, 28802-2359. 259-3055.
CHARLOTTE (704)
Charlotte Interfaith Network for Gay/Lesbian Equality, 7209 E. Harris Blvd., 
#169, 28227. 536-9348. Garnett E. Phibbs, contact person.
Lutherans Concerned, PO Box 9562, 28299. 334-2367. Pub: The Clarion
MCC, 4037 E. Independence Blvd., #726, 28205-7375. 563-5810.
Metrolina Switchboard, PO Box 11144, 28220. 535-6277.
New Life MCC, PO Box 221404, 28222. 343-9070.
GREENSBORO (910)
Lutheran Church of the Resurrection, 6720 W. Friendly Ave., 27410. 292-4984. 
Rev. Mark Johnson, pastor. Sun., 10a.m.; Fri., 7p.m. Holy Communion served at 
all services. ELCA.
St. Mary's MCC, PO Box 5808, 27435-0808. 272-1606. Meets at Unitarian Church, 
3001 Montery Dr., Sun., 4p.m., 7p.m., Mon., 8p.m., Wed., 7:30p.m. Rev. 
Christine Oscar, pastor.
HICKORY (704)
MCC, c/o Unitarian Church, 109 11th Ave., NW, 28601. 324-1960.
TRIANGLE AREA (919)
Affirmation (United Methodists), PO Box 5961, Raleigh, 27650. 850-9380.
Dignity, PO Box 51129, Durham, 27717-1129. 493-8269.
Integrity, c/o Church of the Good Shepherd, PO Box 28024, Raleigh, 27611. 
571-1792.
Lutherans Concerned, PO Box 665, Apex, 27502. 387-0824. Meets in Raleigh.
Pullen Memorial Baptist Church, 1801 Hillsborough St., Raleigh, 27605. 
828-0897. M. Mahan Siler, Jr., pastor.
Raleigh Religious Network for Gay and Lesbian Equality, PO Box 5961, 
27650-5961. 781-2525.
St. John's MCC, PO Box 5626, Raleigh, 27650. 834-2611. Sunday, 11a.m., 
7:15p.m., 805 Glenwood Ave.
Triangle Lesbian & Gay Concerns, c/o Unitarian Fellowship, 3313 Wade Ave., 
Raleigh, 27607. 834-3302.
WILMINGTON (910)
GROW  Community Service Corp., PO Box 4535, 28406. 675-9222. Youth outreach: 
ALIVE for gay, lesbian, bisexual youth.
St. Jude's MCC, 4326 Market St., Ste. 170, 28403. Sanctuary: 507 Castle St. 
762-5833.
WINSTON-SALEM (910)
Lesbian & Gay Concerns Task Force, Unitarian Universalist Fellowship, 2873 
Robinhood Rd., 27106. 723-7633.
Piedmont Religious Network for Gay and Lesbian Equality, PO Box 15104,
27113-0104. (919)766-9501.

NORTH DAKOTA

OHIO
AKRON (216)
MCC, 1215 Kenmore Blvd., 44314. 745-5757. Pub: Beacon of Light.
Cascade Community Church, 1190/1196 Inman St., 44306. 773-5298. Sunday, 
2p.m. Pub: Cascade Newsletter.
Lutherans Concerned, PO Box 67114, Cuyahoga Falls, 44222. 928-6041.
ATHENS (614)
UCCL/GC, 18 N. College St., 45701. 593-7301.
CANTON (216)
Emmanuel Fellowship Church, PO Box 35604, 44735-5604. 376-8725.
CINCINNATI (513)
Dignity, PO Box 983, 45202. (606)581-9014.
Integrity, 4905 Chalet Dr., #11, 45217-1445. 242-7297.
Mt. Auburn Presbyterian Church, 103 William Howard Taft Rd., 45219. 281-5945, 
FAX 281-2664. Rev. Dr. Harold G. Porter, pastor. A More Light congregation.
New Spirit MCC, 65 E. Hollister St., 45219. 241-8216. Pub: Visions.
CLEVELAND (216)
A Common Bond, PO Box 91853, 44101. Jehovah's Witnesses.
Church of the Redeemer United Methodist, 2420 So. Taylor Rd., Cleveland Hts., 
44118. 932-2065. A Reconciling Congregation.
Dignity, PO Box 91697, 44101. 531-4469.
Emmanuel MCC, 10034 Lorain Ave., 44111-5429. 651-0129. Sunday, 10:45a.m. Pub: 
Good News
PLGC, 841 Englewood, 44121. 382-0507.
COLUMBUS (614)
Christ United Evangelical Church, PO Box 141264, 43214. 297-6317.
Evangelicals Concerned, PO Box 360491, 43236. 235-GAYS.
First Unitarian Universalist Church, 93 W. Weisheimer, 43214. 267-4946. 
Sunday, 11a.m.
Friends for Lesbian & Gay Concerns (Quakers), 488-2096.
Gay Men's Support Group, c/o Newman Center, 64 W. Lane Ave., 43201. 291-4674.
MCC, PO Box 10009, 43201-0509. 294-3026. 1253 N. High St. Sunday, 10:30a.m. 
Pub: The Beacon News
Spirit of the Rivers Community Church, PO Box 10333, 43201. 486-1774.
Stonewall Union Reports, Box 10814, 43201-7814. 299-7764.
UCCL/GC, 294-9970, 488-2096.
DAYTON (513)
Community Gospel Church, PO Box 1634, 45401. 252-8855. Spirit filled, Christ 
centered. Meets Thurs., 5p.m., Sun. 10a.m. at 546 Xenia Ave., Dayton.Samuel 
Kader, pastor.
Dignity, PO Box 55, 45401. 277-7706.
MCC, PO Box 4021, 45401, 228-4031. 1630 E. 5th St. Sun., 10:30a.m.
GRANVILLE (614)
First Baptist Church, 115 W. Broadway, 43023-1179. 587-0336. George 
Williamson, Jr., pastor. A Welcoming and Affirming American Baptist 
Congregation.
LIMA (419)
Most Holy Redeemer Ecumenical Catholic Church, 228-7344. Fr. Jimmy Tabler.
MANSFIELD (419)
Center for Pastoral Care, 3180 German Church Rd., 44904. 756-2977, 774-5377. 
FAX 774-9805. Sunday liturgy, 10:15a.m. Pastoral counseling, retreats.
OBERLIN (216)
Integrity, PO Box 397, 44074-0387. 775-3341.
SPRINGFIELD (513)
Community Church of Truth, PO Box 3005, 45501-3005. 325-7691. Presenting 
Divine metaphysics and practical Christianity.
TOLEDO (419)
Dignity, PO Box 1388, 43603. 242-9057.
Integrity, c/o St. Mark's Church, 2272 Collingwood Blvd., 43620. 244-3707.
MCC, Good Samaritan Parish, 720 W. Delaware Ave., 43620. 244-2124. Sunday, 
11a.m.

OKLAHOMA
OKLAHOMA CITY (405)
Church of Christ for Gays, PO Box 75481, 73147. 528-8417.
Dignity/Integrity, PO Box 25473, 73125. 755-9175.
Friends Meeting (Quakers), 312 SE 25th St., 73129. 632-7574, 631-4174.
Holy Trinity Ecumenical Catholic Church, PO Box 25425, 73125. 942-3334. Fr. 
Randy Lyde.
TULSA (918)
Dignity/Integrity, PO Box 1271, 74101-1271. 298-4648.
MCC, PO Box 4187, 74159. 838-1715. 1623 N. Maplewood.
St. Jerome Ecumenical Catholic Church, 742-7122. Fr. Rick Hollingsworth. 
[email-masked], [email-masked].

OREGON
EUGENE (503)
Clergy & Laity Concerned, 458 Blair Blvd., 97402. 485-1755
MCC, 1414 Kincaid St., 97401-3737. 345-5963. Sunday, 4p.m. at First 
Congregational Church, Condon Chapel, 23rd & Harris Sts. Pub: Common Ground. 
Rev. Marguerite Scroggie, pastor.
PORTLAND (503)
Affirmation (United Methodists), PO Box 12673, 97212. 234-8854.
American Friends Service Committee, Gay & Lesbian Program, 2249 E. Burnside, 
97214. 230-9430. Contact Dan.
Dignity, PO Box 6708, 97228-6708. 295-4868.
Evangelicals Concerned, PO Box 40741, 97240-0741. 232-7451.
Integrity, c/o AFSC, 2249 E. Burnside, 97214. 774-1064. Pub: St. Aelred's 
Messenger.
Metanoia Peace Community UMC, 2116 NE 18th Ave., 97212- 4609. 281-3697.
MCC, 1644 NE 24th, 97232. 281-8868.
Reach Out! (Former Jehovah's Witnesses),  PO Box 1173, Clackamas, 97015.
SisterSpirit, PO Box 9246, 97207. 294-0645. Pub: Spirited Women
ROSEBURG (503)
MCC, P.O. Box 455, Dillard, OR 97432-0455.
SALEM (503)
Dignity, PO Box 532, 97308. 363-0006.
Sweet Spirit MCC, PO Box 13969, 97309, 363-6618. 1410 12th St., SE.

PENNSYLVANIA
ALTOONA (814)
Gay, Lesbian & Bisexual Spiritual Fellowship, 1805 8th Ave., 16602. 949-5852. 
Pub: Reconciliation
ELWYN (610)
Pilgrim Fellowship Church, P.O. Box 4306, 19063. 237-1367. Meets Sun. at 
Philadelphia Airport Comfort Inn.
ERIE (814)
Integrity of Northwest Penn., 134 W. 7th St., 16501-1004. 774-0903.
GLEN ROCK (717)
Ecumenical Catholic Church, 235-6937. Rick Nare, contact person.
HAMLIN (717)
Dignity, PO Box 379, 18427. 829-1341.
HARRISBURG (717)
Dignity, PO Box 297 Federal Square Stn., 17108.
MCC of the Spirit, PO Box 11543, 17108. 236-7387. Pub: Spirit Wings
LEHIGH VALLEY (610)
Grace Covenant Fellowship, 247 N. 10th St., Allentown, 18102. 740-0247. 
Sunday, 10:45a.m. Bryon Rowe, pastor. Thom Ritter, music minister. Serving 
the Lehigh Valley.
Integrity, PO Box 5181, Bethlehem, 18015-5181. 758-8642.
MCC of the Lehigh Valley, 1345 Linden #3, Allentown, 18102. 439-8755. Sunday, 
7p.m. at Unitarian Church, 701 Lechauweki Ave., Bethlehem. Pub: Valley Star.
PHILADELPHIA (215)
Dignity, PO Box 53348, 19105. 546-2093. Pub: The Independence.
Integrity, c/o Holy Trinity Church, 1904 Walnut St., 19103. 382-0794.
MCC, PO Box 8174, 19101-8174. 563-6601. Sunday, 7p.m. at 2125 Chestnut St. 
Pub: The Bell Ringer.
UCCL/GC, PO Box 6315, 19139. 724-1247.
Unitarian Universalist Church, Stenton Ave. & Gorgas Ln., 19150. 247-2561.
PITMAN (717)
Christianbrunn Kloster, RD 1, Box 146, 17964. Gay harmonists.
PITTSBURGH (412)
Affirmation (United Methodists), Box 10104, 15232-0104. 683-5526.
Dignity, PO Box 362, 15230. 362-4334.
Integrity, PO Box 5619, 15207-0619. 421-8747.
Lutherans Concerned, PO Box 81866, 15217-0866. 521-7746.
MCC, 4836 Ellsworth Ave., 15213. 683-2994.
PLGC, PO Box 9022, 15224-0022.
WAYNE (610)
Central Baptist Church, P.O. Box 309, 19087. 688-0664. Marcia Bailey, 
co-pastor. A Welcoming and Affirming American Baptist Congregation.

PUERTO RICO

RHODE ISLAND
PROVIDENCE (401)
Dignity, PO Box 2231, Pawtucket, 02861. 727-2657.
St. Peter's & St. Andrew's Episcopal Church, 25 Pomona Ave., 02909-5255. 
272-9649. Rev. Jan Nunley, rector and co-convenor of Integrity/Rhode Island. 
We are a "rainbow congregation" of Christians from all walks of life, with an 
active Integrity chapter, healing and AIDS ministry. Se habla Espanol.
UCCL/GC, 15 Oak Ave., Riverside Congregational Church, 02915. 433-2039.

SOUTH CAROLINA
CHARLESTON (803)
MCC, 2010 Hawthorne Dr., #10, 29418. 747-6736. Mary M. Moore, pastor.
COLUMBIA (803)
Lutherans Concerned, PO Box 8828, 29202-8828. 738-1899. Meets at 728 Pickens 
St. on USC campus.
MCC Columbia, P.O. Box 8753, 29202. 256-2154. Meets at 1111 Belleview St., #2.
GREENVILLE (803)
MCC, PO Box 6322, 29606-6322. 233-0919. Sun., 7p.m. at 37 E. Hillcrest. Rev. 
Mick Hinson, pastor.

SOUTH DAKOTA
LAKE PRESTON (605)
UCCL/GC, Rt. 1, Box 76, 57249. 847-4623.
SIOUX FALLS (605)
St. Francis & St. Clare MCC, PO Box 266, 57101-0266. 332-3966.

TENNESSEE
CHATTANOOGA (423)
Integrity, PO Box 4956, 37405. 756-8225.
MCC, PO Box 80183, 37411. 892-2138. Sun., 7p.m. at 3224 Navajo 
JOHNSON CITY (423)
MCC of the Tri Cities, PO Box 1612, 37605-1612. 926-4393.
KNOXVILLE (423)
MCC, PO Box 2343, 37901-2343. 521-6546.
MEMPHIS (901)
Holy Trinity Community Church, 1559 Madison, 38104. 726-9443. Proclaiming 
God's love for all people.
Integrity c/o Calvary Episcopal Church, 102 N. 2nd St., 38103. 525-6602.
NASHVILLE (615)
Dayspring Fellowship, 120-B S. 11th St., Box 68073, 37206. 227-1448.
Integrity, PO Box 121172, 37212-1172. 383-6608.
MCC, PO Box 60406, 37206-0406. 262-0922. Sun., 11a.m., 7p.m., 1021 Russell St.

TEXAS
ABILENE (915)
Covenant of Hope Community Church, 1342 No. 4th St., P.O. Box 2961, 79604. 
677-7955. Sun., 11a.m.
Crisis Counseling and Resource Center for Sexual Minorities, 1902 Chestnut 
St., 79602. 676-0613. Crisis phone line and counseling services.
Exodus MCC, PO Box 2473, 79604. 672-7922. 904 Walnut St.
AMARILLO (806)
MCC, PO Box 1276, 79105. 372-4557. 2123 S. Polk St.
ARLINGTON (817)
Trinity MCC, 609 Truman St., 76011. 265-5454. Sun., 10:45a.m.
AUSTIN (512)
Affirmation (United Methodists), 7403 Shoal Creek Blvd., 78757. 451-2329.
All Saints Ecumenical Catholic Church, P.O. Box 91597, 78709-1597. 280-9151. 
The Rev. Robert D. Hall, [email-masked], [email-masked].
Dignity, PO Box 2666, 78768. 467-7908.
Integrity, PO Box 4327, 78765-4327. 462-0977.
Joan Wakeford Ministries, Inc., 9401 Grouse Meadow Ln., 78758-6348. 
835-7354.
CORPUS CHRISTI (512)
MCC, 1315 Craig St., 78404-3330. 882-8225. Sun., 10a.m., Wed., 7:30p.m.
DALLAS/FORT WORTH AREA (214)
Affirmation (United Methodists), Box 48382, Watauga, 76148-0382. (817)656-8056.
Affirmation (United Methodists), PO Box 191021, Dallas, 75219. 528-4913.
Agape MCC, PO Box 15247, Fort Worth, 76119-0247. (817)535-5002. 4615 SE Loop 
820. Sun., 9a.m., 11a.m. Agape News.
Cathedral of Hope MCC, 5910 Cedar Springs Rd., Dallas, 75235. 351-1901.
Sun., 9a.m., 11a.m.
Dignity, PO Box 190133, Dallas, 75219-0133. 226-4101.
Dignity, 4503 Bridge Rd., Fort Worth, 76103. (817)283-8588.
Holy Trinity Community Church, 4402 Roseland Ave., Dallas, 75204. 827-5088. 
"A home for every heart" serving the Dallas lesbian and gay community for 18 
years.
Honesty/Texas, P.O. Box 190869, Dallas, 75219. 521-5342, ext. 233. Gay and 
lesbian Baptists.
Integrity, PO Box 190351, Dallas, 75219-0351. 520-0912.
Silent Harvest Ministries, PO Box 190511, 75219-0511. 520-6655.
White Rock Community Church, 722 Tennison Memorial Rd., 75223. 320-0043. FAX, 
320-0098.   Sun., 9:30a.m., 11a.m. Rev. Jerry Cook, pastor.
DENTON (817)
Harvest MCC, 5900 S. Stemmons, 76205. 497-4020. Sun., 10:30a.m., 6p.m.
HOUSTON (713)
Community Gospel Church, 501 E. 18th at Columbia. 880-9235. Sun., 11a.m. 
Chris Chiles, pastor.
Dawn of Faith MCC, 10319 Sageyork Dr., 77089-2017. 991-6766.
Dignity, PO Box 66821, 77266-6821. 880-2872. Sat., 7:30p.m. at 1307 Yale, #H.
First Unitarian Universalist Church, Gay/Lesbian Task Force,  5200 Fannin 
St., 77004-5899. 526-5200.
Houston Mission Church, PO Box 1633 Marshall, 77006. 529-8225. Sun., 
10:30a.m. Rev. Robert L. Carter, pastor.
Integrity, PO Box 66008, 77266-6008. 432-0414. Pub: Marginal Notes.
Kingdom Community Church, 614 E. 19th St., 77008. 862-7533. 748-6251. Sun., 
11a.m.
MCC of the Resurrection, 1919 Decatur, 77007-7636. 861-9149. Pub: The Good News
St. Raphael Ecumenical Catholic Church, 890-617. Deacon Gary Wheat, 
[email-masked].
LONGVIEW (903)
Church With A Vision MCC, PO Box 1287, 75606-1287. 753-1501. Sun., 10a.m. 
at 420 E. Cotton St.
LUBBOCK (806)
MCC, 5501 34th St., 79407. 792-5562. Sun., 11a.m., 7p.m. Rev. Renae Phillips, 
pastor. Pub: Vision.
Lesbian/Gay Alliance, Inc. PO Box 64746, 79464-4746. 791-4499. Pub: Lambda 
Times
MIDLAND (915)
Holy Trinity Community Church, 1607 S. Main, 79701. 570-4822. Rev. Glenn E. 
Hammett, pastor.
SAN ANTONIO (210)
MCC, 1136 W. Woodlawn, 78201. 734-0048.
River City Living Church, 202 Holland, 78212. 734-0377.
TYLER (903)
St. Gabriel Community Church, 13904 County Rd. 193,  75703. 581-6923. Pastor 
Donna R. Campbell.
WACO (817)
MCC, PO Box 22043, 76712. 752-5331.
WICHITA FALLS (817)
MCC, PO Box 8094, 76307. 696-2668.

UTAH
LOGAN (801)
MCC, PO Box 4285, 84323. 750-5026. Sun., 11a.m.
SALT LAKE CITY (801)
Sacred Light of Christ MCC, 823 S. 600 E, 84102-3507. 596-0052.

VERMONT
BURLINGTON (802)
Dignity, 3 Queensbury Rd., 05403-5752.
MCC, PO Box 2010, 05407. 899-4442.
Unitarian Universalists for Gay & Lesbian Concerns, 152 Pearl St., 05401. 
862-5630.
MONTPELIER (802)
Integrity, c/o Christ Episcopal Church, 64 State St., 05602-2933.

U.S. VIRGIN ISLANDS

VIRGINIA
ALEXANDRIA (703)
Affirmation (Mormons), PO Box 19334, 22320-9334. 828-3096.
St. Cyril's Eastern Christian Fellowship, 6038 Richmond Hwy., #301, 22303. 
329-7896. Byzantine Christian community.
ARLINGTON (703)
Dignity, PO Box 10037, 22210. 912-1662.
FALLS CHURCH (703)
Affirmation (Mormons), PO Box 19334, 22320-9334. 828-3096.
MCC, 7245 Lee Hwy., 22046. 532-0992. Sun., 6p.m. at Fairfax Unitarian, 2709 
Hunter Mill Rd., Oakton.
Telos Ministries (Baptists), PO Box 3390, 22043. 560-2680.
FREDERICKSBURG (540)
Campus Christian Community, 1213 Dandridge St., 22401. 373-9255.
NORFOLK (804)
Dignity, PO Box 434, 23501. 625-5337.
New Life MCC, PO Box 1026, 23501-1026. 855-8450. 1530 Johnston's Rd. Sun., 
10:30a.m., 6:30p.m., Wed., 7:30p.m. at 1530 Johnstons Rd.
Unitarian Universalists for Lesbian & Gay Concerns, 739 Yarmouth St., 23510. 
627-5371. Sun., 11a.m.
RICHMOND (804)
Affirmation (United Methodists), PO Box 25615, 23260-5615. 746-7279. 700 W. 
Franklin St.
Dignity/Integrity, PO Box 5207, 23220. 226-8140.
MCC, 2501 Park Ave., 23220. 353-9477.
ROANOKE (703)
Blue Ridge Lambda Press, PO Box 237, 24002. 890-3184.
Lesbian & Gay Catholics & Episcopalians, PO Box 4163, 24015. 774-0068.
MCC of the Blue Ridge, PO Box 20495, 24018. 366-0839. Sun., 3p.m. at 
Unitarian Church, 2015 Grandin Rd. SW. Pub: Blue Ridge Banner.
VIRGINIA BEACH (804)
All God's Children Community Church, 485 S. Independence Blvd., #108, 23452. 
499-7096.
WILLIAMSBURG (804)
Foundations of Stone Ministries, 149 Nelson Dr., 23185. 229-0832. Teaching, 
seminars, retreats, revivals.

WASHINGTON
BELLINGHAM
Angels Among Us MCC, P.O. Box 4389, 98227-4389.
EVERETT
New Creation MCC, 11124 29th Dr SE, 98208-5228.
MOUNT VERNON (206)
MCC, PO Box 20577, Seattle, 98102. 325-6775.
OLYMPIA (206)
Eternal Light MCC, 207 N. Washington, 98501.
RICHLAND (509)
River of Life MCC, PO Box 1678, 99352-0059. 544-9689.
Shalom UCC, 505 McMurray, 99352. 943-3927. Open and affirming cong.
SEATTLE (206)
Affirmation (Mormons), PO Box 23223, 98102. 820-5729. Pub: The Open Closet.
Affirmation (United Methodists), 2115 N. 42nd, 98103.
Dignity, Box 20325, 98102-1325. 325-7314.
Evangelicals Concerned, PO Box 20189, 98102-1189. 932-3401.
Grace Gospel Chapel, 2052 NW 64th St., 98107. 784-8495. Sun., 11a.m., 7p.m., 
Wed., 7:30p.m. Jerry Lachina, pastor.
Integrity, PO Box 20663, 98102. 525-4668.
MCC, 1202 E. Pike St., #930, 98122. 325-2421. Rev. Cheri L. Starchman, 
pastor. Call for service times and locations.
Orthodox Church of the Moors, 5311 13th Ave. S., 98108. 763-2469. 
[email-masked].
Overlake MCC, PO Box 6612, Bellevue, 98008. 885-0414. 12700 SE 32nd St.
Seattle First Baptist Church, 111 Harvard Ave., 98122. 325-6051. Rodney 
R. Romney, pastor.
Seattle Gay News, 704 E. Pike, 98122. 324-4297.
UCCL/GC, 317 18th Ave. E. #4, 98112-5132. 329-3027.
Unitarian Lesbians & Gays, 6556 35th Ave. NE, 98115. 483-0345.
SPOKANE (509)
Affirmation (United Methodists), 3 N. 9th St., Cheney, 99004. 299-2500.
Emmanual MCC, PO Box 769, 99210. 838-0085. Sun., 10:30a.m., 7p.m. at 307 
W. 4th Ave.
Unitarian Church, 321 W. 8th, 99204. 624-4802.
TACOMA (206)
Hillside Community Church, 2508 S. 39th St., 98409. 475-2388/
MCC, 2150 S. Cushman Ave., 98405-3438. 272-2382.
VANCOUVER (206)
MCC of the Gentle Shepherd, PO Box 5094, 98668. 253-8401.

WEST VIRGINIA
MORGANTOWN (304)
Freedom Fellowship, PO Box 1552, 26505. 292-7784.

WISCONSIN
FOX VALLEY (414)
Angel of Hope MCC, PO Box 672, Green Bay, 54305. 496-8688.
MADISON (608)
First Baptist Church, 518 North Franklin Ave., 53705. 233-1880. Alan Newton, 
associate pastor. A Welcoming and Affirming American Baptist congregation.
Integrity/Dignity, PO Box 730, 53701. 836-8886. 1001 University Ave.
Of A Like Mind, PO Box 6021, 53716-6021. 255-5092.
SUPERIOR (715)
Connect, Box 1304, 54880. 394-9467. Outreach to lesbian, gay, bisexual, 
transgendered, their families and worksites. 
MILWAUKEE (414)
Dignity, PO Box 597, 53201. 444-7177.
Lutherans Concerned, PO Box 1676, 53201-1676. 481-9663.
MAP Spiritual Care, PO Box 92505, 53202. 273-1991.
MCC, PO Box 1421, 53201-1421. 332-9995.
St. Camillus HIV/AIDS Ministry, 10101 W. Wisconsin Ave., 53226. 259-4664.
United HIV Services, 10100 W. Bluemound Rd., 53226. 259-4610.

WYOMING
NATIONAL

Listings in the Resource Guide are free to churches, organizations, 
publications and community services.  Send information to Second Stone, 
Box 8340, New Orleans, LA 70182 or FAX to (504)891-7555.

ADVANCE CHRISTIAN MINISTRIES, 4001-C Maple Ave., Dallas, TX 75219. 
(214)522-1520. FAX, (214)528-1070. Thomas Hirsch, director. 
AFFIRMATION: Gay & Lesbian Mormons, P.O. Box 46022, Los Angeles, CA 90046. 
(213)255-7251.
AFFIRMATION/United Methodists for Gay & Lesbian Concerns, P.O. Box 1021, 
Evanston, IL 60204. (708)733-9590.
AIDS NATIONAL INTERFAITH NETWORK, 110 Maryland Ave., NE, Ste. 504, 
Washington, DC 20002. (202)546-0807, (800)288-9619, FAX (202)546-5103. 
Publication: Interaction.
AMERICAN BAPTISTS CONCERNED, 13318 Clairepointe Way, Oakland, CA 94619-3531. 
(510)465-8652. Voice of the Turtle
AMERICAN CIVIL LIBERTIES UNION, Gay/Lesbian Rights Project, 132 West 43rd 
St., New York, NY 10036.
AMERICAN FRIENDS SERVICE COMMITTEE (Quaker) 2249 E. Burnside St., Portland, 
OR 97214. (503)230-9427.
ASSOCIATION OF WELCOMING AND AFFIRMING BAPTISTS, P.O. Box 2596, Attleboro 
Falls, MA 02763-0894. V/F (508)226-0945. [email-masked]. 
http:/users.aol.com/wabaptists. A network of  churches, organizations and 
individuals who welcome and advocate for the full participation of lesbian, 
gay, and bisexual people within the American Baptist Churches/USA.
AXIOS: Eastern and Orthodox Christians, 328 W. 17th St. #4-F, New York, NY 
10011. (212)989-6211.
BALM MINISTRIES, P.O.Box 1981, Costa Mesa, CA 92628. (714)641-8968. Marsha 
Stevens, singer/songwriter. Suzanne McKeag, manager.
BLK Magazine, Box 83912, Los Angeles, CA 90083-0912. (310)410-0808.
BRETHREN/MENNONITE PARENTS OF LESBIAN/GAY CHILDREN, Box 1708, Lima, OH 45802.
BRETHREN / MENNONITE COUNCIL FOR LESBIAN AND GAY CONCERNS, Box 6300, 
Minneapolis, MN 55406-0300. (612)305-0315.  [email-masked]. 
http://www.webcom.com/bmc/ Support for Brethren and Mennonite gay, lesbian, 
and bisexual people, and their parents, spouses, relatives and friends. 
Publication: Dialogue
CATHOLIC COALITION FOR GAY CIVIL RIGHTS, Box 1985, New York, NY 10159. 
(718)629-2927.
CATHOLIC PARENTS NETWORK, c/o Fr. Robert Nugent, 637 Dover St., Baltimore, 
MD 21230. (301)927-8766, FAX (301)864-6948. [email-masked].
CENTER FOR HOMOPHOBIA EDUCATION, Box 1985, New York, NY 10159. (301)864-8954.
CHI RHO PRESS - A special work of the UFMCC Mid-Atlantic District.  Publisher 
of religious books and materials.  P.O. Box 7864, Gaithersburg, MD 20898, 
(301)670-1859.
CHRISTIAN LESBIANS OUT TOGETHER, P.O. Box 10062, Columbus, OH 43201.
COMMON BOND (former Jehovah's Witnesses, Mormons) Box 405, Ellwood, PA 
16117. (412)758-0704.
COMMUNICATION MINISTRY, INC.- Dialogue and support group for gay and lesbian 
Catholic clergy and religious. P.O. Box 60125, Chicago, IL 60660-0125. 
Publication: Communication
CONFERENCE FOR CATHOLIC LESBIANS, P.O. Box 436 Planetarium Stn., New York, 
NY 10024. (718)921-0463.
DAUGHTERS OF SARAH - The magazine for Christian Feminists, 3801 No. Keeler, 
Chicago, IL 60641, (312)736-3399.
DIGNITY/USA, 1500 Massachusetts Ave., NW, Ste. 11, Washington, DC 20005. 
(202)861-0017, FAX (202)429-9808. Gay and lesbian Catholics and their friends.
ECUMENICAL CATHOLIC CHURCH, P.O. Box 32, Villa Grande, CA 95486-0032. 
(707)865-0119, FAX, (707)865-2437. The Most Rev. Mark S. Shirilau, Ph.D. 
[email-masked]. Publication: The Tablet.
EROSPIRIT RESEARCH INSTITUTE, P.O. Box 3893, Oakland, CA 94609. 
(510)428-9063. Network of gay and lesbian ecstatics offering classes 
and videos in erotic spirituality.
EVANGELICALS CONCERNED, c/o Dr. Ralph Blair, 311 East 72nd St., New York, 
NY 10021. (212)517-3171. Publications: Review and Record.
THE EVANGELICAL NETWORK, Box 16104, Phoenix, AZ 85011. (602)265-2831.
FEDERATION OF PARENTS AND FRIENDS OF LESBIANS AND GAYS, INC. P.O. Box 27605, 
Washington, DC 20038.(202)638-4200.  Send $3.00 for packet of information.
FRIENDS FOR LESBIAN AND GAY CONCERNS (Quakers) 143 Campbell Ave., Ithaca, NY 
14850. (607)272-1024, FAX (607)272-0801.
GAY AND LESBIAN PARENTS COALITION INTERNATIONAL, P.O. Box 50360, Washington, 
DC20091. (202)583-8029. Publication: Network.
GAY, LESBIAN AND AFFIRMING DISCIPLES ALLIANCE, P.O. Box 19223, Indianapolis, 
IN 46219-0223. (319)324-6231. For members of the Christian Church (Disciples 
of Christ). Publication: Crossbeams.
GAYELLOW PAGES - P.O. Box 292, Village Stn., New York, NY 10014. (212)674-0120.
HONESTY: Southern Baptist Advocates for Equal Rights, c/o David Tribble, 603 
Quail's Run Rd., #C-1, Louisville, KY 40207.
HUMAN RIGHTS CAMPAIGN, 1101 14th St., NW, Ste. 200, Washington, DC 20005. 
(202)628-4160.
INDEPENDENT CHURCH OF RELIGIOUS SCIENCE, 4102 East 7th St., #209, Long Beach, 
CA 90804. (310)433-0384.
INNER HEALING, 2238-C Bayview Hts., Los Osos, CA 93402. (805)534-1101.
Supportive phone counseling.
INTEGRITY, INC., P.O. Box 5255, New York, NY 10185-5255.  (201)868-2485. 
Publication: The Voice of Integrity
INTERNATIONAL FREE CATHOLIC COMMUNION, P.O. Box 51158, Riverside, CA 
92517-2158 (909)781-7391 Publication: The Free Catholic Communicant
INTERNATIONAL GAY AND LESBIAN ARCHIVES, The Natalie Barney Edward Carpenter 
Library, P.O. Box 38100, Hollywood, CA 90038. (213)854-0271. Publication: 
Bulletin.
INTERWEAVE, 25 Beacon St., Boston, MA 02108. (617)742-2100. A lay 
organization of Unitarian Universalists for lesbian, bisexual, gay and 
transgender concerns.
LAMBDA CHURCH GROWTH INSTITUTE, P.O. Box 370, Ruther Glen, VA 22546. 
(804)448-2031. FAX (804)448-3146.  Church growth programs for predominantly 
gay/lesbian churches. Rev. James N. Birkitt, Jr., executive director. 
LESBIAN CATHOLICS WITNESSING FOR CHANGE, Box 3891, New York, NY 10185-3891. 
(718)680-6107.
LIVING PENS, PO Box 254, Avoca, AR 72711-0254. Pen pals for HIV/AIDS 
individuals.
LIVING STREAMS, P.O. Box 178, Concord, CA 94522-0178. Bi-monthly publication.
LUTHERANS CONCERNED / NORTH AMERICA, Box 10461, Fort Dearborn Station, 
Chicago, IL 60610-0461.  Publication: The Concord
METHODIST FEDERATION FOR SOCIAL ACTION, a gay-affirming, multi-issue 
network, 76 Clinton Ave., Staten Island, 10301-1107 (718)273-MFSA. 
Publication: Social Questions Bulletin.
MERCY OF GOD COMMUNITY, PO Box 41055, Providence, RI 02940-1055. 
(401)722-3132. Christian, Ecumenical and inclusive community of sisters,  
brothers and associates.
MORE LIGHT CHURCHES NETWORK, 600 W. Fullerton Pkwy., Chicago, IL 60614-2690, 
(312)338-0452. Resource packet, $12. Publication: More Light Churches Network 
Newsletter
NATIONAL ASSOCIATION OF CATHOLIC DIOCESAN LESBIAN AND GAY MINISTRIES, 433 
Jefferson St., Oakland, CA 94607. (510)465-9344. Newsletter and national 
conference. [email-masked].
NATIONAL CENTER FOR LESBIAN RIGHTS - 1663 Mission St, 5th Flr., San 
Francisco, CA 94103.
NATIONAL CONGRESS FOR LESBIAN CHRISTIANS, PO Box 814, Capitola, CA 95010 
(800)861-NCLC.
NATIONAL COALITION OF BLACK LESBIANS AND GAYS, P.O. Box 19248, Washington, 
DC 20036.
NATIONAL COUNCIL OF CHURCHES, 475 Riverside Dr., New York, NY 10115. AIDS 
Task  Force, Room 572, (212)870-2421. Human Sexuality Office, Room 708, 
(212)870-2151. 
NATIONAL COUNCIL OF CHURCHES, Washington Office, 110 Maryland Ave., NE, 
Washington, DC 20002. (202)544-2350.
NATIONAL ECUMENICAL COALITION, 1953 Columbia Pike #24, Arlington, VA 
22204-4569. (703)553-8931.
NATIONAL GAY AND LESBIAN TASK FORCE, 2320 17th St., NW, Washington, DC 
20009-4309. (202)332-6483. FAX (202)332-0207.
NATIONAL GAY PENTECOSTAL ALLIANCE (also Pentecostal Bible Institute 
[Ministerial training]) P.O. Box 1391, Schenectady, NY 12301-1391. 
(518)372-6001. Publication: The Apostolic Voice.
NEW DIRECTION Magazine for gay/lesbian Mormons, 6520 Selma Ave., Ste. 
RS-440, Los Angeles, CA 90028.
NEW WAYS MINISTRY, 4012 29th St., Mt. Rainier, MD 20712, (301)277-5674, 
FAX (301)864-6948. A gay-affirming organization bridging the lesbian/gay 
community and the Roman Catholic Church.
OPEN & AFFIRMING MINISTRIES, Gay, Lesbian and Affirming Disciples Alliance, 
Rev. Allen V. Harris, c/o 1010 Park Ave., New York, NY 10028-0991. 
(212)288-3246. Nurture and education for congregations and other ministries 
of the Christian Church (Disciples of Christ) which seek to welcome and 
affirm lesbian, gay, and bisexual persons.
THE OTHER SIDE Magazine, 300 W. Apsley St., Philadelphia, PA 19144. 
(215)849-2178. Publishes articles of interest to progressive Christians.
OTHER SHEEP Multicultural Ministries with Sexual Minorities, 319 N. Fourth 
#902, St. Louis, MO 63102-1936. (314)241-2400. FAX (314)241-2403. E-mail: 
[email-masked]. Theological and educational work locally, nationally, and 
internationally supporting positive biblical support for gays and lesbians in 
the Christian church.
PRESBYTERIANS FOR LESBIAN & GAY CONCERNS, P.O. Box 38, New Brunswick, NJ 
08903-0038.  (908)932-7501, (908)249-1016. Publication: More Light Update
PRISM, 733 15th St., NW, Ste. 317, Washington, DC 20005-2112. (202)347-3313. 
Diversity workshops for churches and groups.
RECONCILING CONGREGATION PROGRAM, 3801 N. Keeler Ave., Chicago, IL 60641. 
(312)736-5526. FX (312)736-5475. Publication: Open Hands
REFORMED CHURCH IN AMERICA GAY CAUCUS, P.O. Box 8174, Philadelphia, PA 
19101-8174
RELIGION WATCH, P.O. Box 652, North Bellmore, NY 11710. A newsletter 
monitoring trends in contemporary religion.
ST. SERAPHIM ORTHODOX CHRISTIAN MISSION, 1205 No. Spaulding Ave., West 
Hollywood, CA 90046. (213)851-2256.
ST. TABITHA'S AIDS APOSTOLATE, Christian AIDS Network of the American 
Orthodox Catholic Church of St. Gregorios, P.O. Box 1543, Monterey, CA 
93940. (408)899-0731.
SILENT HARVEST MINISTRIES, PO Box 190511, Dallas, TX 75219-0511. (214)520-6655.
SUPPORTIVE CONGREGATIONS NETWORK, Mennonite and Brethren, PO Box 6300, 
Minneapolis, MN 55406-0300. [email-masked]. A network of Mennonite, 
General Conference Mennonite and Church of the Brethren congregations which 
welcome gay, lesbian and bisexual members.
UNITARIAN UNIVERSALIST OFFICE FOR LESBIAN/GAY CONCERNS, 25 Beacon St., 
Boston, MA 02108. (617)742-2100.
UNITED CHURCH COALITION FOR LESBIAN / GAY CONCERNS, 18 N. College, Athens, 
OH 45701, (614) 593-7301. Publication: Waves
UNITED CHURCH OF CHRIST, Office for Church in Society, 110 Maryland Ave., NE, 
Washington, DC 20002. (202)543-1517.
UNITED CHURCH OF CHRIST PARENTS OF LESBIANS AND GAYS, c/o Rev. Judith 
Claussen, Bruce Rennie, 505 Orchard Dr., Carbondale, IL 62901. (618)457-5479.
UNITED LESBIAN AND GAY CHRISTIAN SCIENTISTS - Box 2171, 256 So. Robertson 
Blvd., Beverly Hills, CA 90213. (818)760-0827.
UNITED LESBIAN AND GAY CHRISTIAN SCIENTISTS, Box 2171, Beverly Hills, CA 
90213-2171. (213)850-8258
UNITY FELLOWSHIP CHURCH, 5149 W. Jefferson Blvd., Los Angeles, CA 90016. 
(213)936-4949, FAX (213)936-4973.
UNIVERSAL FELLOWSHIP OF METROPOLITAN COMMUNITY CHURCHES 5300 Santa Monica 
Blvd., #304, Los Angeles, CA 90020, (213)464-5100. Publication: Keeping in 
Touch
WILDERNESS MANNA, 1404 Arnold Ave., San Jose, CA 95110. (408)451-9310. A 
Christian environmental ministry; newsletter and trips.
THE WITNESS, Published by the Episcopal Church Publishing Co., 1249 
Washington Blvd., Ste. 3115, Detroit, MI 48226-1868. (313)962-2650
WOMEN'S ALLIANCE FOR THEOLOGY, ETHICS AND RITUAL, 8035 13th St., Silver 
Spring, MD 20910 (301)589-2509, FAX (301)589-3150. Publication: WATERwheel.
WOMEN'S ORDINATION CONFERENCE, P.O. Box 2693, Fairfax, VA 22031-0693. 
(703)352-1006.
THE WOMEN'S PROJECT, 2224 Main St., Little Rock, AR 72206. (501)372-5113. 
Workshops on women's issues, social justice, racism and homophobia.
WOODSWOMEN - Adventure travel for women, 25 W. Diamond Lake Rd., Minneapolis, 
MN 55419, (800)279-0555, (612)822-3809, FAX (612)822-3814.
INTERNATIONAL
Liberty Community Church, Ste. 402-2388 Triumph St., Vancouver, BC V5L1L5 
Canada (604)254-0082. Sun., 6:30p.m. at St. John's United Church, 1401 Comox 
St., Vancouver, BC.
St. Peter's Lighthouse Apostolic Church, c/o Sergei S. Bashkirev, P.O. 
Box 57, St Petersburg, 195276 Russia. Bro. A. Basarguine, pastor.